---

themes:
  name: witch
  dark:
    colors:
      background: 0x111b11
      header: 0x0E1E0E
      userBubble: 0x3B5132
      peerBubble: 0x152716
      font: 0xF1F3EC
      settings: 0xE3ECD3
      accent: 0x8E64A5
      reaction: 0x97AF6E
    theme:
      hilightElementColor: font
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  #  mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xF1F3EC
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xF1F3EC
      portraitOfflineBorderColor: 0x355934
      portraitOnlineBorderColor: font
      portraitBackgroundColor: peerBubble
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: mainTextColor
      toolbarIconColor: settings  # whiteishPurple
      toolbarBackgroundColor: accent
      topbarColor: header  # darkGreyPurple
      chatReactionIconColor: reaction
      chatImage: Witch.png
      chatImageColor: 0x1E321D
      snackbarBackgroundColor: accent
      snackbarTextColor: 0xF1F3EC
      messageSelectionColor: accent
      textfieldSelectionColor: accent
      menuBackgroundColor: accent
  light:
    colors:
      background: 0xF1F3EC
      header: 0x97af6e
      userBubble: 0x97AF6E
      peerBubble: 0xE3ECD3
      font: 0x111b11
      settings: 0x0E1E0E
      accent: 0x8E64A5
      reaction: 0x97AF6E
    theme:
      hilightElementColor: font
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      mainTextColor: settings
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xF1F3EC
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xF1F3EC
      portraitOfflineBorderColor: userBubble
      portraitOnlineBorderColor: font
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: background
      textfieldBorderColor: userBubble
      textfieldHintColor: font
      toolbarIconColor: background
      toolbarBackgroundColor: accent
      topbarColor: header  # softPurple
      chatReactionIconColor: reaction
      chatImage: Witch.png
      chatImageColor: 0xD0DDBA
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: accent
      textfieldSelectionColor: accent
      menuBackgroundColor: accent
